Part Offset2D: Difference between revisions

From FreeCAD Documentation
Line 31: Line 31:
[[image:Part Offset2D Join.png|600px]]
[[image:Part Offset2D Join.png|600px]]


* {{PropertyData|Join}} ("false", "true"): sets if multiple wires are treated collectively or independently. If "false", wires are offset independently, intersections between resulting wires are ignored. If "true", the wires are offset in collective manner. Only wires within a compound are coupled. For example, if the structure is like compound(wire1, wire2, compound(wire3, wire4)), wire1 and wire2 will be treated collectively, wire3 and wire4 are treated collectively, but independently of wire1+wire2. Also, in collective mode, directions of wires are important and determine direction of offset. This is in tight relationship with how holes in faces are treated.
* {{PropertyData|Intersection}} ("false", "true"): sets if multiple wires are treated collectively or independently. If "false", wires are offset independently, intersections between resulting wires are ignored. If "true", the wires are offset in collective manner. Only wires within a compound are coupled. For example, if the structure is like compound(wire1, wire2, compound(wire3, wire4)), wire1 and wire2 will be treated collectively, wire3 and wire4 are treated collectively, but independently of wire1+wire2. Also, in collective mode, directions of wires are important and determine direction of offset. This is in tight relationship with how holes in faces are treated.


[[image:Part Offset2D Intersection.png|600px]]
[[image:Part Offset2D Intersection.png|600px]]

Revision as of 23:55, 28 March 2017

Part Offset2D

Menu location
Part → 2D Offset
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part_Offset, Part Thickness, Draft Offset

...UNDER CONSTRUCTION...

Description

Part 2D Offset constructs a wire, parallel to the original wire, at a certain distance from it. Or enlarges/shrinks a planar face, similarly.

The wire/face must be planar. There can be multiple wires in one object.

How to use

  1. Select an object to offset
  2. Invoke Part Offset2D command.
  3. Set up the offset in Task Panel, and accept the dialog.

A 2D Offset parametric object is created. Original objects are switched to wireframe display mode.

Properties

Offset

  • DataSource: Link to original shape
  • DataValue The distance to enlarge the wire/face by. If negative, the wire/face is shrunk instead.
  • DataMode ("Pipe" or "Skin"): sets how non-closed wires are processed. If "Pipe", the wire is outlined as if it was an extremely thin closed contour. If "Skin", an open wire is created.

  • DataJoin ("Arc", "Tangent", "Intersection"): sets the behavior around kinks. If "Arc", offset segments are connected with an arc of circle, centered at the vertex. "Tangent" is unsupported on OCC7.0.0. "Intersection": offset segments are extended till they intersect.

  • DataIntersection ("false", "true"): sets if multiple wires are treated collectively or independently. If "false", wires are offset independently, intersections between resulting wires are ignored. If "true", the wires are offset in collective manner. Only wires within a compound are coupled. For example, if the structure is like compound(wire1, wire2, compound(wire3, wire4)), wire1 and wire2 will be treated collectively, wire3 and wire4 are treated collectively, but independently of wire1+wire2. Also, in collective mode, directions of wires are important and determine direction of offset. This is in tight relationship with how holes in faces are treated.

...

Scripting

The tool can by used in macros and from the python console by using the following function:

f = App.ActiveDocument.addObject("Part::Offset2D", "Offset2D")

2D offset is also available as a method of Part.Shape:

Part.Circle().makeOffset2D(distance, ...)

Version

The tool was introduced in FreeCAD v0.17.???. Most of non-default modes will only work with OCC 7.0.0 or later.